/*--------------------------------------------------------------------

  Title       : Header file rc5_decoder.c 
  Filename    : rc5_decoder.h 
   
  Copyright @ BobTheBass 2011

----------------------------------------------------------------------*/

#ifndef RC5_DECODER_H
#define RC5_DECODER_H

/*--- RC code structure ---*/

typedef struct
  {
  unsigned char toggle;
  unsigned char address;
  unsigned char command;
  unsigned char valid;
  }RC5_CODE;

extern volatile RC5_CODE RC5_Code;

/*--- Function prototypes ---*/

void init_rc5_decoder(void);
void interrupt isr_vector(void);

#endif

/*--- End of File --*/
