
#include <htc.h>
#include "rc5_decoder.h"

__CONFIG(INTIO & CP & PWRTEN & WDTDIS & MCLREN);

/*--- Program entry ---*/

void main(void)
  {
  unsigned char address, command;

  OSCCON = 0x70U;   /* 8MHz oscillator */
  OSCTUNE = 0x00;

  TRISC = 0;
  PORTC = 0 ;

  init_rc5_decoder();

  for(;;)
    {
    if(RC5_Code.valid)
      {
      address = RC5_Code.address;
      command = RC5_Code.command;
      PORTC = command;
      RC5_Code.valid = 0;
      }
    }
  }
    
/*--- End of File ---*/
